/**
 * Copyright (C) 2010 Cloudfarming <info@cloudfarming.nl>
 *
 * Licensed under the Eclipse Public License - v 1.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *         http://www.eclipse.org/legal/epl-v10.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package nl.cloudfarming.client.sensor.fritzmeijer;

import nl.cloudfarming.client.geoviewer.Palette;
import nl.cloudfarming.client.model.SensorDataFile;
import nl.cloudfarming.client.sensor.SensorPalette;
import org.openide.util.lookup.ServiceProvider;

/**
 * Class which provides a palette for the fritzMeijer sensor
 * Values:
 * 50 -> 100
 * 100 -> 150
 * 150 -> 200
 * 200 -> 250
 * 250 -> 300
 * 300 -> 350
 * 350 -> 400
 * 400 -> 450
 * 450 -> 500
 * @author Merijn Zengers
 * 
 */
@ServiceProvider(service = Palette.class)
public class FritzMeijerPalette extends SensorPalette{
    private static final String SENSOR_NAME = "Fritzmeijer";
    
    public FritzMeijerPalette() {
        super(0, 0);
    }
    
    public FritzMeijerPalette(double rangeFrom, double rangeTo) {
        super(rangeFrom, rangeTo);
    }

    @Override
    public String getSensorName() {
        return SENSOR_NAME;
    }
}
